/*
 ***********************************************************
 $SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/BasisFunctionPixel.h $
 $LastChangedRevision: 81 $
 $Date: 2014-07-02 11:07:09 -0400 (Wed, 02 Jul 2014) $
 $Author: olangthaler $
 ***********************************************************
 */

#ifndef BASISFUNCTIONPIXEL_H_
#define BASISFUNCTIONPIXEL_H_

#include "GeometricBehaviour.h"

class BasisFunctionPixel: public GeometricBehaviour {
public:
	BasisFunctionPixel();
	virtual ~BasisFunctionPixel();

	void getRayTrace(INTEGER np, INTEGER nr, INTEGER* list,
	REAL* weight, INTEGER* numb, REAL* snorm, REAL * _sorx = 0,
	REAL * _sory = 0, REAL * _cf = 0, REAL * _sf = 0);

	INTEGER getArea();
};

#endif /* BASISFUNCTIONPIXEL_H_ */
