/*
 ***********************************************************
 $SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/blob2pix.cpp $
 $LastChangedRevision: 85 $
 $Date: 2014-07-02 16:07:08 -0400 (Wed, 02 Jul 2014) $
 $Author: agulati $
 ***********************************************************

 This subroutine converts an image function in Blob basis into that in Voronoi basis (square pixels). This subroutine uses blob footprints for speeding up. 
 */

#include <cstdio>
#include <cmath>

#include "blkdta.h"
#include "blob.h"
#include "uiod.h"

void Blob_class::blob2pix(REAL *blob_array, REAL *pict)
{
	footp(blob_array, pict, 1);

	return;
}

