/*
***********************************************************
$SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
$HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/nav4.cpp $
$LastChangedRevision: 49 $
$Date: 2014-06-16 21:49:04 -0400 (Mon, 16 Jun 2014) $
$Author: olangthaler $
***********************************************************

*************************************************************************************
Dummy class for the calculation of the non-ascending vector corresponding to sec_cri3
*************************************************************************************
*/

#include "nav4.h"
#include "math.h"
#include "anglst.h"
#include "blob.h"

void nav4_class::Run(REAL* xkn, REAL* vkn)
{
	int pixelcount = 0;

	if(Blob.pix_basis)
	{
		pixelcount = GeoPar.area;
	}
	else
	{
		pixelcount = Blob.area;
	}

	REAL gradientSquareNorm = 0;

	// calculate the gradient of your phi function here
	// calcGradient(xkn, vkn);

	for (INTEGER i = 0; i < pixelcount; i++) gradientSquareNorm += pow(vkn[i], 2);
	REAL gradientNorm = sqrt(gradientSquareNorm);
	for (INTEGER i = 0; i < pixelcount; i++) vkn[i] = (-1.0) * vkn[i] / gradientNorm;
}
