/*
 ***********************************************************
 $SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/sart.h $
 $LastChangedRevision: 95 $
 $Date: 2014-07-02 19:43:36 -0400 (Wed, 02 Jul 2014) $
 $Author: agulati $
 ***********************************************************
 */

#ifndef SART_H
#define SART_H

#include "alg.h"
#include "GeometricBehaviour.h"

class sart: public alg_class
{

private:
	static GeometricBehaviour* geometricBehaviour;
	static REAL relaxationParameter; // the relaxation parameter
	static REAL zeroThreshold; // the threshold when a value is set to zero

public:
	virtual INTEGER Init();
	virtual BOOLEAN Run(REAL* recon, INTEGER* list, REAL* weight, INTEGER iter);
	virtual INTEGER Reset();

	virtual ~sart();
};

#endif
