/** @file select.h
    @package snark14Input
    @author Bruno M. Carvalho and Deniz Sarioz
    licensed under (open-source) QPL v1.0
    which accompanies this distribution in the file QPL
*/

#ifndef SELECTWINDOW_H
#define SELECTWINDOW_H

#include <qcheckbox.h>
#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QButtonGroup;
class QComboBox;
class QFrame;
class QLabel;
class QLineEdit;
class QPushButton;
class QRadioButton;

class selectwindow : public QDialog
{ 
    Q_OBJECT

public:
    selectwindow( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~selectwindow();
    QString getOutput();

    QLabel* selectlabel;
    QButtonGroup* selectbuttongroup;
    QRadioButton* snarkbutton;
    QRadioButton* userbutton;
    QCheckBox* efficientcb;
    QLabel* steplabel;
    QLineEdit* mod2;
    QLineEdit* mod1;
    QLabel* mod1label;
    QLabel* mod2label;
    QLineEdit* n2;
    QComboBox* type2;
    QLineEdit* n1;
    QComboBox* type1;
    QLabel* type1label;
    QLabel* n1label;
    QLabel* type2label;
    QLabel* n2label;
    QFrame* Line12;
    QPushButton* okbutton;
    QPushButton* cancelbutton;
private slots:
   // void activateFields();
   void checkValues();
   void grayOrNot(); 
};

#endif // SELECTWINDOW_H
