/* 
 ***********************************************************
 $SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/consts.h $
 $LastChangedRevision: 85 $
 $Date: 2014-07-02 16:07:08 -0400 (Wed, 02 Jul 2014) $
 $Author: agulati $
 ***********************************************************
 */

#ifndef CONSTS_H
#define CONSTS_H

#include "blkdta.h"

//      common /consts/ zero, infin, pi, twopi, pisq, pid2
//      real zero, infin, pi, twopi, pisq, pid2

// data zero, infin/ 1.0e-20, 1.0e20/
// data pi, twopi, pisq, pid2/
// 3.141592654, 6.283185307, 9.869604401, 1.570796327/

extern class Consts_class
{
public:
	static const REAL zero;
	static const REAL infin;
	static const REAL pi;
	static const REAL twopi;
	static const REAL pisq;
	static const REAL pid2;
	static const REAL sqrt3;
	static const REAL isqrt3;

} Consts;

#endif
