/*
 ***********************************************************
 $SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/quad_bprpict.cpp $
 $LastChangedRevision: 80 $
 $Date: 2014-07-01 21:01:54 -0400 (Tue, 01 Jul 2014) $
 $Author: agulati $
 ***********************************************************

 DEBUGGING AID

 N - PICTURE SIZE TO BE PRINTED
 X - PICTURE TO BE PRINTED
 IT- ITRRATION NUMBER
 L - LOCATION IDENTIFIER
 M - VECTOR IDENTIFIER
 */

//    TRACING IS DONE FOR EACH ITERATION

#include <cstdio>

#include "blkdta.h"
#include "uiod.h"

#include "quad.h"

void quad_class::bprpict(INTEGER M, INTEGER H, REAL* x, INTEGER it,
		const CHAR* l, const CHAR* m)
{
	static INTEGER itrace = 0; //itrace here should be static, wei

	INTEGER i;
	INTEGER j;
	INTEGER k;

	if (it == 1)
		itrace = trace;
	if (itrace == 0)
		return;

	fprintf(output, "\n\n called at iter  %2i after  %s with  %s", it, l, m);

	for (i = 0; i < M; i++)
	{
		j = i * H;
		for (k = 0; k < H; k++)
		{
			if ((k != 0) && ((k % 6) == 0))
			{
				fprintf(output, "\n\n");
			}
			fprintf(output, "%15.6e    ", x[k + j]);

		}
	}
	return;
}

